/* gwcc/src/prefs.h
 *
 * Copyright (C) 2000 by Brent D. Ely
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gnome.h>

void
read_prefs_from_disk                   ();

int
save_all_changes                       (GnomePropertyBox *gnomepropertybox,
                                        gint              arg1,
                                        gpointer          user_data);

void
fill_prefs_dialog                      ();

void
on_propertybox1_apply                  (GnomePropertyBox *gnomepropertybox,
                                        gint              arg1,
                                        gpointer          user_data);

// --------------------------
// General Prefs...
// --------------------------
void
on_checkbutton_ts_files_toggled        (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radiobutton_save_append_toggled     (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radiobutton_save_seq_toggled        (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radiobutton_save_overwrite_toggled  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_check_add_timestamp_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_fontpicker1_font_set                (GnomeFontPicker *gnomefontpicker,
                                        gchar           *arg1,
                                        gpointer         user_data);

void
on_radio_fixedfont_100_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radio_fixedfont_110_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radio_fixedfont_120_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radiobutton_units_m_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_radiobutton_units_k_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

// --------------------------
// Workstation Utils Prefs...
// --------------------------
void
on_ifconfig_arp_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_ifconfig_promisc_toggled            (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_ifconfig_allmulti_toggled           (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_check_df_a_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_check_df_h_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_check_df_T_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

// --------------------------
// Process Grep Prefs...
// --------------------------
void
on_ps_flag_efh_toggled                 (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_ps_flag_eh_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_ps_flag_none_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_ps_flag_e_toggled                   (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_checkbutton_grep_case_toggled       (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_checkbutton_omit_sh_toggled         (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

// --------------------------
// Network Prefs...
// --------------------------
void
on_spinbutton1_changed                 (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_spinbutton2_changed                 (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_spinbutton3_changed                 (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_checkbutton_traceroute_n_toggled    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_checkbutton_host_v_toggled          (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_finger_s_toggled                    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_finger_l_toggled                    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_spinbutton4_changed                 (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_spinbutton5_changed                 (GtkEditable     *editable,
                                        gpointer         user_data);
